Table of Contents

Class: ServiceCollection | Twisted-0.17.4/twisted/coil/app.py
--- | ---

A collection of Service objects.

Base Classes |
--- | ---
coil.ConfigCollection

Methods |
--- | ---
__init__ delEntity getEntityType getStaticEntity listStaticEntities reallyPutEntity
| __init__

    __init__ ( self,  app )

| delEntity

    delEntity ( self,  name )

| getEntityType

    getEntityType ( self )

| getStaticEntity

    getStaticEntity ( self,  name )

| listStaticEntities

    listStaticEntities ( self )

| reallyPutEntity

    reallyPutEntity (
            self,
            name,
            entity,
            )

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:16 2002 by HappyDoc version 2.0